Get step HTML snapshot
curl --request GET \
--url https://agent.tinyfish.ai/v1/runs/{id}/steps/{stepId}/html \
--header 'X-API-Key: <api-key>'import requests
url = "https://agent.tinyfish.ai/v1/runs/{id}/steps/{stepId}/html"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://agent.tinyfish.ai/v1/runs/{id}/steps/{stepId}/html', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}{
"error": {
"code": "INVALID_INPUT",
"message": "Field \"url\" is required and must be a string",
"details": "<unknown>"
}
}Runs
Get step HTML snapshot
Serve the full-page HTML snapshot captured at a specific step via API key. Returns raw HTML. Only available when the run was started with capture_config.html: true.
GET
/
v1
/
runs
/
{id}
/
steps
/
{stepId}
/
html
Get step HTML snapshot
Authorizations
API key for authentication. Get your key from the API Keys page.
Path Parameters
Run ID
Pattern:
^[A-Za-z0-9_-]+$Example:
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Step ID (event ID)
Pattern:
^[A-Za-z0-9_-]+$Example:
"evt_abc123"
Response
HTML snapshot
The response is of type string.
Was this page helpful?
⌘I